Name:           minidlna
Summary:        DLNA server software
Version:        1.1.5
Release:        %mkrel 1
URL:            http://sourceforge.net/projects/minidlna
Source0:        minidlna-%{version}.tar.xz
Source3:        minidlna.logrotate
Source5:        minidlna.init
Patch0:         minidlna-vdr.diff
License:        GPL-2.0
Group:          Video
Requires:       /bin/sed
Requires:       /bin/egrep
Requires:       /sbin/ifconfig
Requires:       logrotate
#------------------------------------
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires: %{_lib}exif12-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}vorbis0-devel
#------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
MiniDLNA (aka ReadyDLNA) is server software with the aim
of being fully compliant with DLNA/UPnP-AV clients.

It is developed by a NETGEAR employee for the ReadyNAS product line.
So if you are looking for a NAS, please consider ReadyNAS first!

minidlna installs as a service

minidlna configuration file is located at /etc/sysconfig/minidlna - edit this as root

%prep
%setup -q -n minidlna-%{version}
%patch0

%build
./configure --help
./configure --prefix=/usr --disable-silent-rules
%__make 

%install
rm -rf %{buildroot}

%makeinstall
install -D -m644 %{S:3} %{buildroot}%{_sysconfdir}/logrotate.d/minidlna
install -D -m755 %{S:5} %{buildroot}%{_sysconfdir}/init.d/minidlna
ln -s %{_sysconfdir}/init.d/minidlnad %{buildroot}%{_sbindir}/rcminidlnad
install -D -m644 minidlna.conf.5 %{buildroot}%{_mandir}/man5/minidlna.conf.5
install -D -m644 minidlnad.8 %{buildroot}%{_mandir}/man8/minidlnad.8
install -d -m755 %{buildroot}%{_var}/cache/minidlna
install -d -m755 %{buildroot}%{_var}/lib/minidlna
install -d -m755 %{buildroot}%{_var}/log/minidlna
install -D -m644 minidlna.conf %{buildroot}%{_sysconfdir}/sysconfig/minidlna

%find_lang minidlna

%post
/sbin/chkconfig --add minidlna

%preun
/sbin/service minidlna stop > /dev/null 2>&1

%postun
/sbin/chkconfig --del minidlna


%files -f minidlna.lang
%defattr(-,root,root)
%config(noreplace)   %{_sysconfdir}/init.d/minidlna
%config(noreplace)   %{_sysconfdir}/logrotate.d/minidlna
%config(noreplace)   %{_sysconfdir}/sysconfig/minidlna
%{_sbindir}
%dir %{_var}/cache/minidlna
%dir %{_var}/lib/minidlna
%dir %{_var}/log/minidlna
%{_mandir}/man5/minidlna.conf.5.bz2
%{_mandir}/man8/minidlnad.8.bz2
%doc ABOUT-NLS ChangeLog COPYING AUTHORS LICENCE* NEWS README TODO

%changelog
* Sat Mar 11 2017 bb2 <bb2> - 1.1.5-1pclos2017
- update for new ffmpeg

* Sun Jan 04 2015 MBantz <martin dot bantz at gmail dot com> minidlna-1.1.4-1PCLos2015
- Adapted to PCLinuxOS from joerg dot lorenzen at ki dot tng dot de
